package com.yuchen.saas.visitor.api.feign;

import com.yuchen.saas.visitor.api.entity.NewPmgBatParkVisitor;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;

/**
 * @ClassName VisitorClient
 * @Description 访客 feign 接口熔断
 * @Author 张逸飞
 * @Date 2022/6/16 15:50
 */
@Component
public class NewVisitorClientFallback implements NewVisitorClient {

    @Override
    public R visitorRequest(NewPmgBatParkVisitor newPmgBatParkVisitor) {
        return R.fail("远程调用失败");
    }

    @Override
    public R getVisitor(Long id) {
        return R.fail("远程调用失败");
    }

    @Override
    public R getPageVisitor(String payUserId, Integer current, Integer size) {
        return R.fail("远程调用失败");
    }
}
